# Process Introduction
![](/uploads/uh9RoLA3/images/m_7d2767c44512c452ad81fb3e26f8f598_r.png)
# Docking Instructions
## Interface Request Address:
Test Environment Address: http://120.25.245.20:8092/OpenApi
Production Environment Address (Mainland China): https://cloud.assetscontrols.com:3443/OpenApi
Production Environment Address (Hong Kong, China): https://icloud.assetscontrols.com:3443/OpenApi
Production Environment Address (Cairo): https://kcloud.assetscontrols.com:3443/OpenApi

## Request Method:
`POST`

## Request Header:
| Parameter Name | Required | Type | Description |
| ---- | ---- | ---- | ---- |
| Content-Type | Yes | string | Request type: application/json | 

## 1.Obtain Token Information
The token obtained by the same user is a fixed value. It is recommended to cache the token and there is no need to request it repeatedly.

### Request Path: /login
Test Environment Address: http://120.25.245.20:8092/OpenApi/login
Production Environment Address (Mainland China): https://cloud.assetscontrols.com:3443/OpenApi/login
Production Environment Address (Hong Kong, China): https://icloud.assetscontrols.com:3443/OpenApi/login
Production Environment Address (Cairo): https://kcloud.assetscontrols.com:3443/OpenApi/login

### Request Parameters:

| Parameter Name | Required | Type | Description |
| ---- | ---- | ---- | ---- |
| FUserName | Yes | string | User name |
| FPassword | Yes | string | Password (MD5(32)) |

### Return Example:
When correct, the return is:
```json
{
    "Result": 200,
    "Message":"success",
    "FObject": [{
        "FUserName": "admin",
        "FUserGUID": "63C399BD-2A0B-40E9-857D-6DEBF4908F92",
        "FTokenID": "DB7F20D9-84C3-44C3-B05A-06A9C392A189",
        "FExpireTime": "2020-07-30T08:00:00"
    }]
}
```

When incorrect, the return is:

```json
{
    "Result": 103,
    "Message": "userName or password is error",
    "FObject": null
}
```

### Explanation of Returned Parameters:

| Parameter Name | Type | Description |
| ---- | ---- | ---- |
| FUserName | String | User name |
| FUserGUID | String | Unique user identifier |
| FTokenID | String | Unique identity identifier (this is required for identity verification in all subsequent interface requests) |
| FExpireTime | DateTime | Account expiration time (UTC time. Add 8 hours to convert it to Beijing time) |

### Remarks:

More return error codes are as follows:
106: Account expired
103: Incorrect user name or password
102: Incorrect request parameters

### Postman Request Example: 
![](/uploads/uh9RoLA3/images/m_d6be02e2af31094005ef025207ebe574_r.png)

## 2.Request for the waybill url
The request interface will match the waybills that meet the conditions based on the waybill number and the relevant information. If the matching is successful, it will return the link to the waybill details. Otherwise, it will return empty information.

### Request Path: /KLRoute
Test Environment Address: http://120.25.245.20:8092/OpenApi/KLRoute
Production Environment Address (Mainland China): https://cloud.assetscontrols.com:3443/OpenApi/KLRoute
Production Environment Address (Hong Kong, China): https://icloud.assetscontrols.com:3443/OpenApi/KLRoute
Production Environment Address (Cairo): https://kcloud.assetscontrols.com:3443/OpenApi/KLRoute

### Request Parameters:

| Parameter Name | Required | Type | Description |
| ---- | ---- | ---- | ---- |
| FAction | Yes | string | QueryLastingDepartureInfoWithFrame (fixed value) |
| FTokenID | Yes | string | Authentication information |
| FAssetID | Yes | string | Device number |
| FWaybill | Yes | string | Waybill number |
| FTimeDifferent | Yes | int | Time difference (in minutes) |
| FLanguage | Yes | int | Language. 0 for English, 1 for Chinese |

### Return Example:
When correct, the return is:

```json
{
    "Result": 200,
    "Message": "check token success",
    "FObject": "https://xxx.assetscontrols.com:2443/fxydindex.html#/?480&xxx&10&isIframe"
}
```

When no result is found, the return is:

```json
{
    "Result": 200,
    "Message": "check token success",
    "FObject": []
}
```

When incorrect, the return is:

```json
{
    "Result": 102,
    "Message": "parameters(FTokenID/FAction) are error",
    "FObject": []
}
```

### Explanation of Returned Parameters:

| Parameter Name | Type | Description |
| ---- | ---- | ---- |
| FObject | String | URL address |

### Remarks:

More return error codes are as follows:
102: Incorrect request parameters

### Postman Request Example: 
![](/uploads/uh9RoLA3/images/m_0c333c32f861227424e897158f8a62c5_r.png)

## 3.Embed the URL into a third-party system for presentation.

Just assign the obtained URL to the `src` attribute of the `iframe` tag in the system to be embedded.

![](/uploads/uh9RoLA3/images/m_8c9eaca354d285f48fe436d7ec047cf6_r.png)